# StyleSheet : Object
Return to: HTML DOM Level 2 index

Represents a stylesheet object.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
StyleSheet Constructor() : StyleSheet Represents a stylesheet object. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

### StyleSheet() : StyleSheet

Represents a stylesheet object.

Returns

StyleSheet |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
disabled : Boolean If true, indicates that the stylesheet is disabled. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

href : String URL for the stylesheet. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

media : MediaList List of media types that the stylesheet should be associated with. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

ownerNode : Node Document node that contains the link to the stylesheet. | Show Details | no | 1.0+ | 6.0+ | 7.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

parentStyleSheet : StyleSheet Parent stylesheet to this stylesheet. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/stylesheets.html

Availability

  HTML DOM Level 2|W3C

title : String Title of the stylesheet. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/innerhtml.html

Availability

  HTML DOM Level 2|W3C

type : String MIME type for the stylesheet. | Show Details | 4.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  HTML DOM Level 2|W3C

## References

CSSStyleSheet|Document.styleSheets|LinkStyle

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs